You are not logged in.

Read the FAQ and Knowledge Base before posting.
We won't make a 3DS/2DS emulator.



#1 2009-10-26 21:40:05

IdoSC
Member
Registered: 2009-05-06
Posts: 85

Question about building SVNs for Intel Processors

Hello.
I lately (a few days ago) started building myself SVNs, but before that, when I found them in different places, at some point the uploaders put these files in the rar or w/e:
Desmume_Intel
Desmume_Intel_sse2
Desmume_VS2008
Desmume_VS2008_sse2
(All are executable of course).

Now, when I compiled my own one according to the guide in the Wiki, I got this one:
"DeSmuME_VS2008_release"

In case the 4 executable files in those packages weren't a bad lie, shouldn't I use a Desmume that supports Intel and SSE2? Intel because that's my processor, SSE2 because it worked faster to me in the official 0.9.4.
So in case I should, how do I build this one and not the VS2008 thing?

Offline

#2 2009-10-26 21:57:31

zeromus
Radical Ninja
Registered: 2009-01-05
Posts: 5,949

Re: Question about building SVNs for Intel Processors

the intel files arent for intel processors. theyre just built with the intel compiler. svn builds have sse2 enabled unless you specifically disable it. theres nothing more for you to do. those uploaders don't know what theyre doing, and they never even asked our opinion on the right way to package releases, and they don't follow our (admittedly inconsistent) procedures for official releases.

Offline

Board footer

Powered by FluxBB